@use "@angular/material" as mat;

@include mat.core();

$my-primary-color: (
  50: #e5e7eb,
  100: #bfc4cd,
  200: #959dac,
  300: #6a758b,
  400: #4a5872,
  500: #2a3a59,
  600: #253451,
  700: #1f2c48,
  800: #19253e,
  900: #0f182e,
  A100: #6c95ff,
  A200: #3970ff,
  A400: #064cff,
  A700: #0042eb,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #ffffff,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #ffffff,
    A400: #ffffff,
    A700: #ffffff,
  ),
);

$my-accent-color: (
  50: #e3faf4,
  100: #b9f4e3,
  200: #8aecd0,
  300: #5be4bd,
  400: #37dfaf,
  500: #14d9a1,
  600: #12d599,
  700: #0ecf8f,
  800: #0bca85,
  900: #06c074,
  A100: #eafff5,
  A200: #b7ffde,
  A400: #84ffc7,
  A700: #6affbc,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #000000,
    600: #000000,
    700: #000000,
    800: #000000,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$my-palette-primary: mat.define-palette($my-primary-color);
$my-palette-accent: mat.define-palette($my-accent-color);

$my-theme: mat.define-light-theme(
  (
    color: (
      primary: $my-palette-primary,
      accent: $my-palette-accent,
    ),
  )
);

@include mat.all-component-themes($my-theme);
